using System;
using System.Net;

internal sealed class Delegate597 : MulticastDelegate
{
	public extern HttpListenerPrefixCollection Invoke(object object_0);

	public static HttpListenerPrefixCollection smethod_0(object object_0, Delegate597 delegate597_1)
	{
		return delegate597_1(object_0);
	}

	public extern Delegate597(object object_0, IntPtr intptr_0);

	static Delegate597()
	{
		Class10.smethod_13(typeof(Delegate597).TypeHandle);
	}

	internal static Delegate597 delegate597_0;
}
